# PlaceHolder

### Constructors

- - new PlaceHolder()

- session (Document): The document to associate with the anchor
- length (Number): The starting row position
- pos (Number): The starting column position
- others (String):
- mainClass (String):
- othersClass (String):

- session (Document): The document to associate with the anchor
- length (Number): The starting row position
- pos (Number): The starting column position
- others (String):
- mainClass (String):
- othersClass (String):

### Methods

- - PlaceHolder.cancel()

PlaceHolder.cancel()

PlaceHolder.cancel()

TODO

- - PlaceHolder.detach()

PlaceHolder.detach()

PlaceHolder.detach()

TODO

- - PlaceHolder.hideOtherMarkers()

PlaceHolder.hideOtherMarkers()

PlaceHolder.hideOtherMarkers()

Hides all over markers in the `EditSession` that are not the currently selected one.

- - PlaceHolder.onCursorChange(Object event)

PlaceHolder@onCursorChange(e)

PlaceHolder@onCursorChange(e)

Emitted when the cursor changes.

#### Arguments

event | Object | Required.

- - PlaceHolder.onUpdate(Object event)

PlaceHolder@onUpdate(e)

PlaceHolder@onUpdate(e)

Emitted when the place holder updates.

#### Arguments

event | Object | Required.

- - PlaceHolder.setup()

PlaceHolder.setup()

PlaceHolder.setup()

TODO

- - PlaceHolder.showOtherMarkers()

PlaceHolder.showOtherMarkers()

PlaceHolder.showOtherMarkers()

TODO